random-fu-0.3.0.1: Random number generation

Safe Haskell | None
Language | Haskell2010

Data.Random.Distribution.ChiSquare

# Documentation

chiSquare :: Distribution ChiSquare t => Integer -> RVar t Source #

chiSquareT :: forall t (m :: Type -> Type). Distribution ChiSquare t => Integer -> RVarT m t Source #

newtype ChiSquare b Source #

Constructors

ChiSquare Integer |

#### Instances

Instances details

(Real t, Distribution ChiSquare t) => CDF ChiSquare t Source # |
Instance details Defined in Data.Random.Distribution.ChiSquare Methods cdf :: ChiSquare t -> t -> Double Source #
(Fractional t, Distribution Gamma t) => Distribution ChiSquare t Source # |
Instance details Defined in Data.Random.Distribution.ChiSquare Methods rvar :: ChiSquare t -> RVar t Source # rvarT :: forall (n :: Type -> Type). ChiSquare t -> RVarT n t Source #